Pagina 1 di 1

non vengono trovate librerie installate

Inviato: gio nov 15, 2012 15:29
da NicoMetal
Salve, dovrei installare audacity. Questo però richiede l'installazione delle librerie wxWidget. Io ho scaricato normalmente i sorgenti di quest'ultime, con un mio slackbuild le pacchettizzate e infne installate.
QUnado però faccio il configure nei sorgenti di audacity mi esce:

Codice: Seleziona tutto

configure: Checking that the chosen version of wxWidgets is 2.8.x
configure: error: Unable to locate a suitable configuration of wxWidgets v2.8.x or higher.
The currently available configurations are listed below.  If necessary, either
install the package for your distribution or download the latest version of
wxWidgets
from http://wxwidgets.org.

    Default config is gtk2-unicode-2.9

  Default config will be used for output

Ho guardato il pkgtool se tutto era ok e infatti sono tranquillamente presenti (le librerie wxwidget intendo v2.9 ).
Cosa c'è che non va?
Qui posto anche lo slackbuild usato:

Codice: Seleziona tutto

#!/bin/bash

NOME="wxWidgets"
CFLAGS="-O2 -march=i686 -mtune=i686"
CONFFLAGS="--prefix=/usr"

tar -xvzf $NOME-master.tar.gz

cd $NOME-master

HERE=$(pwd)
chown -R root:root *
chmod -R 755 *

cd /tmp
rm -r PKG
mkdir PKG
chown -R root:root PKG
chmod -R 755 PKG
cd $HERE

CFLAGS="$CFLAGS" ./configure $CONFFLAGS
read WAIT
make -j2
read WAIT
make install DESTDIR=/tmp/PKG


cd /tmp/PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip \
--strip-unneeded 2> /dev/null

find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip \
--strip-unneeded 2> /dev/null

makepkg -l y -c n /tmp/$NOME.txz



Idee? perpiacere aiuto!

Re: non vengono trovate librerie installate

Inviato: gio nov 15, 2012 16:23
da DarkNeo
Ciao
a me da l'errore analogo installando KWifiManager, il ./configure non rileva la presenza delle librerie qt mi richiede di installare >=3.0.2 quando io ho installata la 4.8. qualcosa.

Re: non vengono trovate librerie installate

Inviato: gio nov 15, 2012 17:36
da brg
NicoMetal ha scritto:Ho guardato il pkgtool se tutto era ok e infatti sono tranquillamente presenti (le librerie wxwidget intendo v2.9 ).
Cosa c'è che non va?


Le wxWidgets 2.9, hai bisogno delle stabili 2.8.

DarkNeo ha scritto:Ciao
a me da l'errore analogo installando KWifiManager, il ./configure non rileva la presenza delle librerie qt mi richiede di installare >=3.0.2 quando io ho installata la 4.8. qualcosa.


Idem, Qt4 e Qt3 sono due cose differenti, hai bisogno di Qt3 installato.

:arrow: Il pacchetto wxGTK 2.8.12 è presente nel repository di Slacky.

Re: non vengono trovate librerie installate

Inviato: mer nov 21, 2012 12:23
da DarkNeo
Non è andata a buon fine ho installato le 3.3.8 e comunque al configure non me le trova